# ARCPLOT -- Plot TDC archive file
#	   February 22, 1991
#          By Doug Mink, CfA TDC

procedure arcplot (rfn)

int rfn=1			{prompt="Reduced file number"}
string instrument="zmach"	{prompt="SAO instrument"}
string arc_dir="/"		{prompt="TDC archive rooot directory"}
int order=7			{prompt="Order for wavelength solution"}
real wstart=0.			{prompt="Wavelength to start plotting"}
real wstop=0.			{prompt="Wavelength to stop plotting"}
bool wavespace=yes		{prompt="Plot in wavelength space (yes or no)"}

begin

string arg, inst,deffile
real w1, w2

	w1 = wstart
	w2 = wstop
	inst = instrument
	deffile = osfn ("archive$pspec.par")
	arg = "-def " // deffile // " -d " // arc_dir // " -i " // inst
	if (wavespace)
	    arg = arg // " -w -o " // order
	    arg = arg // " -w1 " // w1
	    arg = arg // " -w2 " // w2
	else
	    arg = arg // " -nw"
	arg = arg // " " // rfn
	pspec (arg)
end
