# ARCREC -- Print TDC archive file record
#	    February 25, 1991
#           By Doug Mink, CfA TDC

procedure arcrec (rfn)

int rfn=1			{prompt="Reduced file number"}
string instrument="zmach"	{prompt="SAO instrument"}
string arc_dir="/"		{prompt="TDC archive root directory"}
string recname="COMMENTS"	{prompt="TDC archive record to print"}
string verbose=no		{prompt="Print what's happening (y or n)"}

begin

string arg, inst,deffile, arcpath

	inst = instrument
	arcpath = osfn ("archive$")
	deffile = arcpath // "mspec.par"
	arg = "-def " // deffile // " -d " // arc_dir // " -i " // inst
	if (verbose)
	    arg = arg // " -v"
	else
	    arg = arg // " -nv"
	arg = arg // " -rn " // recname
	arg = arg // " " // rfn
	if (verbose)
	    print ("mspec ",arg)
	mspec (arg)
end
