# EMSPEC -- Get emission line velocity for TDC archive file
#	    December 11, 1991
#	    By Doug Mink, CfA TDC

procedure emspec (rfn)

string rfn=1			{prompt="Reduced file number"}
string instrument="zmach"	{prompt="SAO instrument"}
string arc_dir="/"		{prompt="TDC archive rooot directory"}
bool menu=no			{prompt="Stop in menu (yes or no)"}
bool archive=yes		{prompt="Write archive record (yes or no)"}
bool plot=yes			{prompt="Plot spectrum with line IDs (yes or no)"}
bool hardcopy=no		{prompt="Print graph (yes or no)"}
bool cursor=no			{prompt="Wait with cursor (yes or no)"}
bool verbose=no			{prompt="Log progress (yes or no)"}

begin

string arg, inst
bool warch, vb

	inst = instrument
	warch = archive
	vb = verbose
	arg = "-d " // arc_dir // " -i " // inst
	if (cursor)
	    arg = arg // " -k "
	else
	    arg = arg // " -nk "
	if (plot)
	    arg = arg // " -q "
	else
	    arg = arg // " -nq "
	if (vb)
	    arg = arg // " -v "
	else
	    arg = arg // " -nv "
	if (menu)
	    arg = arg // " -menu "
	else
	    arg = arg // " -nmenu "
	if (warch)
	    arg = arg // " -arc "
	else
	    arg = arg // " -narc "
	arg = arg // rfn
	if (vb)
	    print ("espec ",arg)
	espec (arg)

	if (hardcopy)
	    imtek espec.plot
end
