# File archive/Scripts/fastseq.cl
# December 21, 1995
# By Doug Mink, Harvard-Smithsonian Center for Astrophysics

# FASTSEQ -- Set observation sequence-derived RFNs in FAST headers

procedure fast (obdate,obnum)

string	obdate=""	{prompt="Observation date (directory name)"}
string	obnum=""	{prompt="Observation sequence number range"}
string	dirpath="/ret/ret11/fast/onedtemp/"	{prompt="Root directory"}
file	destdir=""	{prompt="Destination directory pathname"}
bool	verbose=no	{prompt="Print what's happening (y or n)"}

begin

bool	vb
int	nobs, iob1, iob2, iob3, idot, isl
string	date,date1,date2
file	list_temp
file	listfile, filename
string	tchar, obsdate, rfile

	rfile = obdate
	vb = verbose
	fastseq1.verbose = vb
	fastseq1.dirpath = rootdir

	set clobber = yes

#  Read from file list or single file
	tchar = substr (rfile,1,1)
	if (tchar != '@') {
	    list_temp = mktemp ("fastseq")
	    print (rfile,>list_temp)
	    listfile = list_temp
	    }
	else
	    listfile = substr(rfile,2,64)

	if (vb)
	    print ("RFNs from ",listfile)
 
#  Loop through list of reduced files
	list = listfile
	while (fscan (list,filename) != EOF) {
	    fastseq1 (filename)
	    }

	if (tchar != '@')
	    delete (list_temp)
end
# Dec 21 1995	Task written
