procedure novatemp (tempfile, tempname)

file tempfile=""	{prompt="template file name"}
string tempname=""	{prompt="template name"}
real wl1=0.		{prompt="center wavelength of first pixel"}
real wl2=0.		{prompt="center wavelength of last pixel"}
real velocity=0.	{prompt="center wavelength of last pixel"}
int npix=2048		{prompt="number of pixels in file"}

begin
file temp,textfile
string name
real lw0,dlw,vel

#  Convert listing of Nova file to IRAF file
	dataio
	temp = tempfile
	textfile = "/u2/mink/TDC/templates/" // temp // ".list"
	rtextimage (textfile, temp)

#  Add title and velocity to header
	hedit.add=yes
	name = tempname
	hedit (temp,"title", name)
	vel = velocity
	hedit (temp,"VELOCITY", vel)

#  Add wavelength limits to header
	lw0 = log10 (wl1)
	dlw = (log10 (wl2) - lw0) / (npix - 1)
	hedit (temp,"DC-FLAG", 1)
	hedit (temp,"CRPIX1", 1)
	hedit (temp,"CRVAL1", lw0)
	hedit (temp,"CDELT1", dlw)
	hedit (temp,"W0", lw0)
	hedit (temp,"WPC", dlw)
	hedit (temp,"CTYPE1", "lambda")
	hedit (temp,"DATE-OBS", "01/01/80")
	imhead (temp)
end
