# TSHIFT -- Add TSHIFT to local copy of template file IRAF image header.
#           By Doug Mink, CfA TDC

procedure ntshift (template, velocity)

file	template=""	{prompt="Template file name"}
real	velocity=0.0	{prompt="TSHIFT velocity (km/sec)"}
bool	verbose=no	{prompt="Log progress (y or n)?"}

file tempdir="archive$templates"	{prompt="template directory"}

begin

file tempfile, tf, tfile, oldimdir
real vel
string vstring

	tf = template
	tfile = tf // ".imh"
	if (!access (tfile)) {
	    tempfile = tempdir // "/" // tf
	    oldimdir = imdir
	    imdir = $HDR/"
	    imcopy (tempfile, tf)
	    demach (tf)
	    imdir = oldimdir
	    }
	vstring = velocity
	image
	hedit.show = verbose
	hedit.delete = no
	hedit.add = yes
	hedit.update = yes
	hedit.verify = no

	hedit (tfile,"TSHIFT",vstring)
end
