# OBJRFN -- Find archive files for object
#	    September 4, 1991
#           By Doug Mink, CfA TDC

procedure objrfn (object)

string object=""	{prompt="Object name"}

string instrument="zmach"	{prompt="Instrument"}
file rfn_file=""		{prompt="Output file name"}
bool exact=no			{prompt="Keep exact matches only (y or n)"}
bool verbose=no			{prompt="Print what's happening (y or n)"}

begin

int iobj, nobj, junk
file inspath,arcpath
string argument,obj,tchar,objlist,objname,objfile

	arcpath = osfn ("archive$")
	inspath = arcpath // "Rfns/rfn." // instrument
	obj = object
	rfsub (obj,1,1)
	tchar = rfsub.outstring
	if (tchar == '@') {
	    objfile = obj
	    rlist (objfile,0)
	    nobj = rlist.nlist
#	    if (verbose)
#		print (nobj," objects = ",rflist.objlist)
	    rfsub (objfile,2,100)
	    list = rfsub.outstring
	    iobj = 0
 
	    while (fscan (list, objname) != EOF) {
		iobj = iobj + 1
		if (exact)
		    argument = " -i -w " // objname // " " // inspath
		else
		    argument = " -i " // objname // " " // inspath
		if (rfn_file != "") {
		    if (iobj == 1)
			argument = argument // " > " // rfn_file
		    else
			argument = argument // " >> " // rfn_file
		    }
		if (verbose)
			print "grep ", (argument)
		grep (argument)
		}
	    }
	else {
	    if (exact)
		argument = " -i -w " // obj
	    else
		argument = " -i " // obj
	    argument = argument // " " // inspath
	    if (rfn_file != "") {
		argument = argument // " > " // rfn_file
		}
	    if (verbose)
		print "grep ", (argument)
	    grep (argument)
	    }

	if (verbose && rfn_file != "") {
	    cat (rfn_file)
	    }

end
