# WLFITS -- Write FITS files from a list of IRAF files
#	    August 22, 1991
#           By Doug Mink, Center for Astrophysics TDC

procedure wlfits (iraflist)

string iraflist=""	{prompt="file with list of IRAF files"}

file iraf_dir="./"		{prompt="Directory pathname for IRAF files"}
file fits_dir="./"		{prompt="Directory pathname for FITS files"}
bool verbose=yes		{prompt="Print what's happening (y or n)"}

begin

bool vb
int ifil,nfiles
file iraffile, irafhead, arcdir
file fitsfile,fdir,ilist, idir, filename
string rfn,tchar, xcspectra, inst

	vb = verbose
	fdir = fits_dir
	idir = iraf_dir
	dataio

	ifil = 0
	list = iraflist
	while (fscan (list,filename) != EOF) {
	    ifil = ifil + 1
	    iraffile = idir // filename
	    irafhead = idir // filename // ".imh"
	    fitsfile = fdir // filename // ".fits"
	    if (vb)
		print (ifil, irafhead," -> ",fitsfile)
	    wfits (iraffile,fitsfile)
	    }

end
