# SAO TDC archive file header common

long rfn	# reduced file number
real ra, dec	# right ascension and delination in radians
real epoch	# epoch of coordinates
double hjdn	# heliocentric julian day number
real seclong	# longegration time in seconds
real velh	# heliocentric velocity correction in seconds
short telnum	# telescope number
short grating	# grating number
short imtube	# image tube number
short objcat	# object category
real oblong	# observatory longitude in radians
real oblat	# observatory latitude in radians
long diffslit	# number of left-slit files minus right-slit files
real ncheck[4]	# rms, 2-pattern, 4-pattern, 8-pattern
real beshift	# beginning-end comparison shift in pixels
real lrshift	# left-right comparison shift in pixels
real lwcomp	# mean comparison line width
real lwsky	# mean sky line width
real ha		# hour angle in radians
real st		# sidereal time in radians
real airmass	# airmass
double gjdn	# geocentric Julian day number
real velb	# barycentric velocity correction
real obsalt	# observatory altitude in meters
double redspare	# spare bytes

common /redsum/ rfn,ra,dec,epoch,hjdn,seclong,velh,telnum,grating,imtube,
		objcat,oblong,oblat,diffslit,ncheck,beshift, lrshift,
		lwcomp,lwsky,ha,st,airmass,gjdn,velb,obsalt,redspare

long naxis,naxis1,naxis2,naxis3

common/size/ naxis,naxis1,naxis2,naxis3

