# File archive/src/dirtemp.c
# March 9, 1990
# By Doug Mink. Center for Astrophysics

#  Match pattern in directory (SPP-callable)

procedure dirtemp (dirname, template, ntemp, filename, ncf)

char dirname[ARB]	# directory path name
char template[ARB]	# template string
int ntemp		# Number of characters to match in TEMPLATE
char filename[ARB]	# File name (returned)
int ncf			# Number of characters in string FILENAME

char osdname[SZ_FNAME]

int oschan,strncmp(),status

begin

	call strpak (dirname,osdname,SZ_FNAME)
	oschan = 0
	call zopdir (osdname,oschan)
	if (oschan == 0) {
	    call printf ("DIRTEMP:  Directory '%s' not found\n")
		call pargstr (dirname)
	    return
	    }

	status = 0;
	while (status != EOF) {
	    call zgfdir (oschan,filename,SZ_FNAME,status)
	    call strupk (filename,filename,SZ_FNAME)
	    if (strncmp (filename, template, ntemp) == 0) {
		call zcldir (oschan,status)
		return
		}
	    }
	call zcldir (oschan,status)
	return
end
