
# Archive reader common

int	data_type		# Output data type
int	dispaxis		# Dispersion axis for spectral image
int	specno			# Number of spectrum to read (1 or 2)

# Option flags
int	make_image		# Create an IRAF image
int	long_header		# Print a long header (FITS header cards)
int	short_header		# Print a short header (Title and size)
int	debug			# Print diagnostic messages

# Wavelength limits
real	wl0			# Wavelength of center of first pixel
real	wl1			# Wavelength of center of last pixel
int	nwl			# Number of wavelength bins

char	disptype[SZ_LINE]	# Dispersion type
char	dispunit[SZ_LINE]	# Dispersion units
char	instrument[SZ_LINE]	# instrument (zmach, mmt, echelle, mmtech, oroech)

common	/rarccom/ data_type, make_image, long_header, short_header,
		  debug, dispaxis, disptype, dispunit, specno,
		  wl0, wl1, nwl, instrument
