# SAO TDC archive file header common

long rfn	# Reduced file number
real ra, dec	# Right ascension and delination in radians
real epoch	# Epoch of coordinates
double hjdn	# Julian day number
real secint	# Integration time in seconds
real velh	# Heliocentric velocity correction in seconds
short telnum	# Telescope number
short grating	# Grating number
short imtube	# Image tube number
short objcat	# Object category
real oblong	# Observatory longitude in radians
real oblat	# Observatory latitude in radians
long diffslit	# Number of left-slit files minus right-slit files
real ncheck[4]	# RMS, 2-pattern, 4-pattern, 8-pattern
real beshift	# Beginning-end comparison shift in pixels
real lrshift	# Left-right comparison shift in pixels
real lwcomp	# Mean comparison line width
real lwsky	# Mean sky line width
real ha		# Hour angle in radians
real st		# Sidereal time in radians
real airmass	# Airmass
double gjdn	# Geocentric Julian day number
real velb	# Barycentric velocity correction
real obsalt	# Observatory altitude in meters
double redspare	# Spare bytes

common /redsum/ rfn,ra,dec,epoch,hjdn,secint,velh,telnum,grating,imtube,
		objcat,oblong,oblat,diffslit,ncheck,beshift, lrshift,
		lwcomp,lwsky,ha,st,airmass,gjdn,velb,obsalt,redspare

long naxis,naxis1,naxis2,naxis3

common/size/ naxis,naxis1,naxis2,naxis3

