#*** File archive/Src/t_sechms.x
#*** April 17, 1992
#*** By Doug Mink

# SECHMS -- Convert a time from seconds to a character string
#           hours:minutes:seconds.

procedure t_sechms()

double	sec0,seconds
char	value[SZ_LINE]
char	secstr[SZ_LINE]
int	ih,im,is,isec, i1
bool	clgetb(), keepfrac, verbose

begin
	call clgstr ("seconds",secstr,SZ_LINE)
	i1 = 1
	call ctod (secstr,i1,sec0)
	seconds = sec0
	ih = seconds / 3600.d0
	seconds = seconds - double (ih * 3600)
	im = seconds / 60.d0
	seconds = seconds - double (im * 60)

	keepfrac = clgetb ("fraction")
	if (!keepfrac) {
	    is = seconds + 0.5d0
	    call sprintf (value, SZ_LINE, "%02.2d:%02.2d:%02.2d")
		call pargi (ih)
		call pargi (im)
		call pargi (is)
	    }

	else {
	    is = seconds
	    isec = (seconds - double (is)) * 1.d4 + 0.5d0
	    if (isec > 9994) {
		seconds = 0.d0
		im = im + 1
		if (im > 59) {
		    im = im - 60
		    ih = ih + 1
		    }
		}
	    call sprintf (value, SZ_LINE, "%02.2d:%02.2d:%06.3f")
		call pargi (ih)
		call pargi (im)
		call pargd (seconds)
	    }

	call clpstr ("value", value)

	verbose = clgetb ("verbose")
	if (verbose) {
	    call printf ("SECHMS: %s = %f -> %s\n")
		call pargstr (secstr)
		call pargd (sec0)
		call pargstr (value)
	    }

	return
end
