c*** File tdclib/vshift.f
c*** January 16, 1991
c*** By Doug Mink

	Program VSHIFT

c--- Compute mean of column of an ASCII disk file

	Character FILENAME*50,LINE*100,TEMP*30, TEMPNAME*10, STRING*100
	Character*10 TNAME(3)
	Real*8 DTOT(3),DATAI,DTOT2(3),DD(3,1000),DIFF,DSQ,DRMS,DMEAN
	Integer*4 JMEAN,JTEMP,ITEMP,NTOT(3),LFN,IFIL,I,NREAD,IREAD
	Integer*4 NRBYT,LT,NC,IER,ITOT,IFRST,ILAST,LTEMP
	Integer*4 NTMAX,NTOK,TOK1(20),TOK2(20)

c  Open file

	TNAME(1) = 'ax1'
	Call PADNULL (TNAME(1))
	TNAME(2) = 'mx1'
	Call PADNULL (TNAME(2))
	TNAME(3) = 'sx1'
	Call PADNULL (TNAME(3))
	NTMAX = 20
	Call Getarg (1,FILENAME)
	Call PADNULL (FILENAME)
	Call VLEN (FILENAME,LFN)
	IFIL = -2
	Call FOPENR (IFIL,FILENAME)
	If (IFIL .le. 0) Then
	    Write(*,*) 'Cannot read file ',FILENAME(1:LFN)
	    Stop
	    Endif

	JMEAN = 4
	JTEMP = 2

c  Read data

	Do 150 I = 1, 3
	    DTOT(I) = 0.d0
	    DTOT2(I) = 0.d0
150	    NTOT(I) = 0
	NREAD = 1000
	Do 300 IREAD = 1, NREAD
	    Call SFGETL (IFIL,LINE,NRBYT)
	    If (NRBYT .eq. 0) Go to 310
	    Call PADNULL (LINE)

c	Parse line of ASCII table

	    NTOK = 0
	    Call TOKENIZE (LINE,NTMAX,.false.,NTOK,TOK1,TOK2)

c	Extract column to be used for X-coordinate

	    If ((TOK1(JMEAN) .gt. 0) .and. (TOK2(JMEAN) .gt. 0)) Then
		NC = TOK2(1) - TOK1(1) + 1
		TEMP = LINE(TOK1(1):TOK2(1))
		Call ASCBINI4 (NC,TEMP,ILAST,IER)
		If (IREAD .eq. 1) IFRST = ILAST
		LT = TOK2(JTEMP) - TOK1(JTEMP) + 1
		TEMPNAME = LINE(TOK1(JTEMP):TOK2(JTEMP))
		Do 200 I = 1, 3
		    TEMP = TNAME(I)
200		    If (TEMPNAME(1:LT) .eq. TEMP(1:LT)) ITEMP = I
		NC = TOK2(JMEAN) - TOK1(JMEAN) + 1
		TEMP = LINE(TOK1(JMEAN):TOK2(JMEAN))
		Call ASCBINR8 (NC,TEMP,DATAI,IER)
		NTOT(ITEMP) = NTOT(ITEMP) + 1
		DD(ITEMP,NTOT(ITEMP)) = DATAI
c		Write(*,206) IREAD,NTOT(ITEMP),ITEMP,TEMPNAME(1:LT),DATAI
c206		Format(I4,I4,I3,1x,A,F10.2)

		DTOT(ITEMP) = DTOT(ITEMP) + DATAI
		DTOT2(ITEMP) = DTOT2(ITEMP) + DATAI*DATAI
		Endif

300	    Continue

310	Call SFCLOSE (IFIL,IER)
	Call LOPEN ('vshift.cl',0)
	Write(STRING,*) '# From File ',FILENAME(1:LFN),' covering RFNs',
     1			IFRST,' -',ILAST,'$'
	Call PSTRING (STRING)
	Do 400 ITEMP = 1, 3
	    DMEAN = DTOT(ITEMP) / Dble (NTOT(ITEMP))
	    DSQ = 0.d0
	    Do 320 ITOT = 1, NTOT(ITEMP)
		DIFF = Dble (DD(ITEMP,ITOT)) - DMEAN
320		DSQ = DSQ + (DIFF * DIFF)
	    DRMS = Dsqrt (DSQ / Dble (NTOT(ITEMP) - 1))
	    TEMPNAME = TNAME(ITEMP)
	    Call PADNULL (TEMPNAME)
	    Call VLEN (TEMPNAME,LTEMP)
	    Write(STRING,330) NTOT(ITEMP),TEMPNAME(1:LTEMP),DMEAN,DRMS
330	    Format('# Mean velocity for',I3,' x ',A,' is ',F7.3,' +-',F7.3,'$')
	    Call PSTRING (STRING)
	    Write(STRING,350) TEMPNAME(1:LTEMP),-DMEAN
350	    Format('tshift ',A,F8.3,'$')
	    Call PSTRING (STRING)

400	    Continue
	Call LCLOSE ('vshift.cl')

	End
