C
C	first analyze the mask-file, and find the blotted areas
C	identify them as rectangles, fit a plane through the pixels
C	in that rectangle that are not blotted and in the 
C	border region of max. 2 pixels on each side
C
	do i=1,nx
	   do j=1,ny
	      omask(i,j)=mask(i,j)
	      mask(i,j)=1.-mask(i,j)
	   enddo
	enddo
	call findimage(nx,ny,mask,scr,0.5)
	do i=1,1000
	   ixl(i)=9999
	   ixh(i)=-999
	   iyl(i)=9999
	   iyh(i)=-999
	   np=0
	   do j=1,nx
	      do k=1,ny
		 if (scr(j,k).eq.i) then
		    if (j.lt.ixl(i)) ixl(i)=j
		    if (j.gt.ixh(i)) ixh(i)=j
		    if (k.lt.iyl(i)) iyl(i)=k
		    if (k.gt.iyh(i)) iyh(i)=k
		    np=np+1
		 end if
	      enddo
	   enddo
	   if (np.eq.0) goto 210
	enddo
	   
C
C	now the bad areas have been found - now interpolate
C
210	ni=i-1
	do k=1,nz
	   do l=1,nx
	      do m=1,ny
	         rdata(l,m,k)=odata(l,m,k)
	      enddo
	   enddo
	   do i=2,ni
C	don't use the 1st area, because then you will interpolate all
C	the data
	      if (ixl(i).gt.2) then
		 nxl=ixl(i)-2
	      else
		 nxl=1
	      end if
	      if (ixh(i).lt.(nx-1)) then
		 nxh=ixh(i)+2
	      else
		 nxh=nx
	      end if
	      if (iyl(i).gt.2) then
		 nyl=iyl(i)-2
	      else
		 nyl=1
	      end if
	      if (iyh(i).lt.(ny-1)) then
		 nyh=iyh(i)+2
	      else
		 nyh=ny
	      end if
	      nt=0
	      do m=nxl,nxh
		 do l=nyl,nyh
		    if (mask(m,l).lt.0.5) then
		       nt=nt+1
		       xv(nt)=m
		       yv(nt)=l
		       zv(nt)=odata(m,l,k)
		       sig(nt)=1.
		    end if
		 enddo
	      enddo
	      ndecl=1000
	      call planefit(xv,yv,zv,sig,nt,ndecl,fit,ierr)
	      if (ierr.ne.0) then
	         write (string,'(''planefit did not work '',2I)') k,ierr
	         call gwrits(string,2)
		 goto 444
	      else
		 do l=nxl,nxh
		    do m=nyl,nyh
		       if (mask(l,m).gt.0.5) then
			  omask(l,m)=1.
			  rdata(l,m,k)=fit(1)+fit(2)*l+fit(3)*m
		       end if
		    enddo
		 enddo
	      end if
444	   enddo
	enddo

