	subroutine norms

	call normsp

	return
	end

	subroutine normsp
C
C	to normalize a spectrum
C
C	Reynier Peletier
C	SAO -  23 Sep 90
C
	parameter (MAXNPIX=1024*512, VALMIN=-9000, MAXPIX=1024)

	character*128 file1
	character*128 outf1
	character*128 string
	character*60 obj1,obj2
	real*4 pixi(MAXNPIX)
	real*4 pixo(MAXNPIX)
	integer nx,ny
	logical a,b

c	read in parameters

	call gproms('file1',' ',' ',file1,ierr)
	call gproms('outf1',' ',' ',outf1,ierr)

	call gimopen(11,file1,ierr)
	if (ierr.ne.0) then
	   write (string,'('' GAUISO: Error opening '',a)') file1(1:40)
	   call gwrits(string,2)
	   return
	end if
	call gimhead(11,obj1,nx,ny,ierr)
	if (ierr.ne.0) then
	   write (string,'('' GAUISO: Error opening header of'',a)') 
     1            file1(1:40)
	   call gwrits(string,2)
	end if
	call readin(11,nx,ny,pixi,ierr)
	call normal(pixi,nx,ny,pixo)
	call imname(file1,outf1)
	call gimwrit(outf1,nx,ny,pixo,obj1,ierr)
	return
	end

	subroutine normal(pixi,nx,ny,pixo)
	real*4 pixi(nx,ny),pixo(nx,ny)
	integer*4 nx,ny
	character*128 string
	real*4 x(1024),y(1024),sig(1024),scale,center,help(1024)
	real*4 spec(1024)
	character*40 data
	do i=1,nx
	   spec(i)=0.
	enddo
	sumspec=0.
	do i=1,nx
	   do j=1,ny
	      spec(i)=spec(i)+pixi(i,j)
	   enddo
	enddo
	do j=1,ny
	   do i=1,nx
	      pixo(i,j)=spec(i)
	   enddo
	enddo
	return
	end
