# DIMTOOL --- Set up DS9 to use tv$display
# By Doug Mink, Center for Astrophysics
# April 24, 2003

procedure dimtool

char display=""		{prompt="X display"}
char pipename="home$imt1"	{prompt="name of imtool pipe"}
bool background=yes		{prompt="run in background"}

begin
    char arg,pn

    # Input from IRAF
    pn = osfn (pipename)
    arg = " -fifo " // pn

    # Display for X
    if (display != "") {
	arg = arg //" -d "//display
	}

    # Run in background if requested
    if (background)
      arg = arg // " &"

    # Execute ds9
    print ("ds9",arg)
    ds9 (arg)
end
# May  3 2001	New task

# Mar 22 2002	Drop geometry parameter

# Apr 24 2003	Skip -d if display is not set
