# SIMTOOLX --- Set up saoimage to use tv$display
# By Doug Mink, Center for Astrophysics
# December 19, 1997

procedure simtool (display)

char display=""		{prompt="X display"}

char geometry=""		{prompt="window geometry"}
char pipename="home$imt1"	{prompt="name of imtool pipe"}
bool background=yes		{prompt="run in background"}

begin
    char arg,pn

    arg = " +imtool"

    # Input from IRAF
    pn = osfn (pipename)
    arg = arg //" -idev " // pn //"o -odev " // pn //"i"

    # Display for X
    arg = arg //" -d "//display

    # Geometry for X (X*Y+XDIM+YDIM)
    if (geometry !="")
	arg = arg//" -gd "//geometry

    # Run in background if requested
    if (background)
      arg = arg // " &"

    # Execute SAOIMAGE
    print ("saoimagex",arg)
    saoimagex (arg)
end
# Dec 19 1997	New task based on simtool.cl
