# XIMTOOL --- Set up NOAO ximtool for local named pipes
# By Doug Mink, Center for Astrophysics
# April 24, 2003

procedure ximtool

char display=""		{prompt="X display"}
char geometry=""		{prompt="window geometry"}
char pipename="home$imt1"	{prompt="name of imtool pipe"}
bool background=yes		{prompt="run in background"}

begin
    char arg,pn,quote

    quote = """"

    # Input from IRAF
    pn = osfn (pipename)
    arg = " -xrm " //quote//"*input_fifo:" // pn //"i"//quote
    # print ("ximtool",arg)
    arg = arg //" -xrm " //quote//"*output_fifo:" // pn //"o"//quote
    # print ("ximtool",arg)

    # Display for X
    if (display != "") {
	arg = arg // " -display " //display
	}

    # Geometry for X (X*Y+XDIM+YDIM)
    if (geometry !="")
	arg = arg // " -geometry " //geometry

    # Run in background if requested
    if (background)
      arg = arg // " &"

    # Execute XIMTOOL
    # print ("ximtool",arg)
    ximtoole (arg)
end
# Jul  9 1996	New script

# Dec  3 1997	change -d to -display
# Dec 16 1997	change -g to -geometry

# Apr 24 2003	Ignore display if it is not set
