# XIMTOOL10 --- Set up NOAO ximtool for local named pipes for ximtool 1.0
# By Doug Mink, Center for Astrophysics
# March 27, 1997

procedure ximtool (display)

char display=""		{prompt="X display"}

char geometry=""		{prompt="window geometry"}
bool background=yes		{prompt="run in background"}

begin
    char arg

    reset graphcap = "dev$graphcap"

    # Input from IRAF
    arg = " -unix_only " 
    # print ("ximtool",arg)

    # Display for X
    arg = arg // " -display " //display

    # Geometry for X (X*Y+XDIM+YDIM)
    if (geometry !="")
	arg = arg // " -g " //geometry

    # Run in background if requested
    if (background)
      arg = arg // " &"

    # Execute XIMTOOL
    print ("ximtool",arg)
    ximtool10e (arg)
end
