# FSPEC- Find spectrum in image identified by sequence number
#         By Doug Mink, CfA
#	  February 2, 1994

procedure fspec (nobs)

int	nobs=""		{prompt="Image sequence number to process"}

file	imdir="./"	{prompt="Spectum image root directory"}
string	obsdate=""	{prompt="Date of observation directory (yy/mm/dd)"}
int	row1=INDEF	{prompt="First row for spectrum search"}
int	row2=INDEF	{prompt="Last row for spectrum search"}
bool	apdisp=yes	{prompt="Display aperture and background (y or n"}
bool	apdb=no		{prompt="Display aperture and background (y or n"}
bool	verbose=no	{prompt="Log progress (y or n)?"}

begin
	file	infile
	file	filename
	file	obsdir, obspath
	bool	vb

	vb = verbose

#	Find image name given number
	obsname.imdir = imdir
	obsname.obsdate = obsdate
	obsname (nobs)
	infile = obsname.obsfile
	if (vb)
	    print ("FSPEC:  Spectrum image file is ",infile)

#	Find spectrum and background in image
	findspec.row1 = row1
	findspec.row2 = row2
	findspec.dispap = apdisp
	findspec.dbap = apdb
	findspec.verbose = verbose
	findspec.imdir = obsname.obsdir
	findspec.database = "database"
	findspec (infile)
end
