# OLDFAST- Set header parameters for first run of FAST
#         By Doug Mink, CfA
#	  February 1, 1994

procedure oldfast (nobs)

int	nobs=""		{prompt="FAST image number to process"}

file	imdir="./"	{prompt="Spectum image directory"}
bool	verbose=no	{prompt="Log progress (y or n)?"}

begin
	file	infile
	bool	vb

	vb = verbose

#	Find image name given number
	obsname.imdir = imdir
	obsname (nobs)
	infile = imdir // obsname.filename
	if (vb)
	    print ("QFAST:  Spectrum image file is ",infile)

#	Add image header parameters
	hedit.verify = no
	hedit.add = yes
	hedit.show = no
	hedit (infile,"gain",1.2)
	hedit (infile,"rdnoise",8.5)
	hedit.add = no

end
