# SUBDARK- Subtract appropriate dark frame from IR array data frame
#         By Doug Mink, CfA

procedure subdark (image)

string image	{prompt="image from which to subtract darks"}
bool verbose=no	{prompt="Log progress (y or n)?"}

begin

	int	framerat
	real	frr
	file	infile

#   Find frame rate for this image

	infile = image
	imgets (infile, "framerat")
	if (imgets.value > "0") {
	    frr = real (imgets.value)
	    framerat = (frr + .0005) * 1000.
	    darkimage = "darkavg"//str(framerat)

	    if (access(darkimage)) 
		imarith (infile,"-",darkimage,infile)
	    else
		print ("Dark image `",darkimage,"' not found")
	    }
	else {
	    print ("Image `",infile,"' has no frame rate")
	    }

end
