# File rvsao/Utility/loghead.x
# October 12, 1995
# By Doug Mink, Harvard-Smithsonian Center for Astrophysics

# Copyright(c) 1994 Smithsonian Astrophysical Observatory
# You may do anything you like with this file except remove this copyright.
# The Smithsonian Astrophysical Observatory makes no representations about
# the suitability of this software for any purpose.  It is provided "as is"
# without express or implied warranty.

define	VERSION "1.1"
 
# Create string containing IRAF, task, user, and time information
 
procedure loghead (taskname,str)

char	taskname[ARB]	# Task name
char	str[ARB]	# Heading returned

char	tstr[SZ_LINE]

int	nchars
int	envfind()
long	clktime()

begin
	call sprintf (str,SZ_LINE, "IRAF %s %s ")
	    call pargstr (taskname)
	    call pargstr (VERSION)
#	nchars = envfind ("version", tstr, SZ_LINE)
#	call strcat (tstr,str,SZ_LINE)
#	call strcat (" ",str,SZ_LINE)
	nchars = envfind ("userid", tstr, SZ_LINE)
	call strcat (tstr,str,SZ_LINE)
	call strcat ("@",str,SZ_LINE)
	call gethost (tstr, SZ_LINE)
	call strcat (tstr,str,SZ_LINE)
	call strcat (" ",str,SZ_LINE)
	call cnvtime (clktime(long(0)), tstr, SZ_LINE)
	call strcat (tstr,str,SZ_LINE)

	return
end
