# File procdata/Src/t_lenstr.x
# January 12, 1996
# By Doug Mink, Center for Astrophysics

# T_LENSTR -- Return the length of a string

procedure t_lenstr ()

pointer	value
pointer	sp
bool	verbose, clgetb()
int	lstr, strlen()

begin
	call smark (sp)
	call salloc (value, SZ_LINE,  TY_CHAR)

	call clgstr ("string", Memc[value], SZ_LINE)
	lstr = strlen (Memc[value])

	verbose = clgetb ("verbose")
	if (verbose) {
	    call printf ("Length of '%s' is %d\n")
		call pargstr (Memc[value])
		call pargi (lstr)
	    }

	call clputi ("length", lstr)
	call sfree (sp)
end
