
# SIZETTY -- Set size of display for IRAF using DIMTTY to read termcap
# By Doug Mink, Center for Astrophysics
# September 10, 2003

procedure sizetty ()

char term=""		{prompt="Name of terminal in termcap table"}
int nlines = 0		{prompt="Number of text lines in display"}
int ncols = 0		{prompt="Number of text columns in display"}
begin
    int nl, nc

    dtty ()

    dimtty (osfn ("uparm$unsdtty.par"))

    stty (ncols=dtty.ncols, nlines = dtty.nlines)

#    stty

    term = dtty.term
    nlines = dtty.nlines
    ncols = dtty.ncols
    if (nlines > 0) {
	set ttynlines=nlines
	}
    if (ncols > 0) {
	set ttyncols=ncols
	}
end
# Jan 17 1989	New script

# Sep 10 2003	Do not set terminal size if dimension is 0
