# File archive/Scripts/qplot.cl
# September 28, 1995
# By Doug Mink, Harvard-Smithsonian Center for Astrophysics

# QPLOT -- Use EMSAO to plot emission and absorption lines already found
#            in a spectrum file or list of spectra

procedure qplot (rfnfile)

string	rfnfile=""	{prompt="RFN or file"}
string	program="xcsao"	{prompt="program to run (xcsao or emsao)"}

begin

	if (program == "xcsao") {
	    xcsao (rfnfile,correlation=no,curmode=yes,dispmode=2, save_vel=no)
	    }
	else {
	    emsao (rfnfile,vel_init="combination",linefit=no,curmode=yes,save_vel=no)
	    }
 
end
