# SETRARC -- Set RARC parameters for one SAO TDC archive instrument.
#	    November 26, 2002
#           By Doug Mink, CfA TDC

procedure setrarc (instrument)

string instrument="zmach"	{prompt="SAO instrument"}
file default_dir="archive$Inst_defaults/"	{prompt="default directory"}
bool verbose=yes		{prompt="print default file names (yes or no)"}

begin

bool vb
file rfile,xfile
string inst,arg,ddir

	inst = instrument
	ddir = default_dir
	vb = verbose

	rfnobj.instrument = inst
	rfnsky.instrument = inst
	objrfn.instrument = inst
	zprint.instrument = inst
	emspec.instrument = inst
	rfnobj.arc_dir = "/ret"

#  Defaults for PSPEC archive plotting program
	arg = "-d " // rfnobj.arc_dir // " -inst " // inst // " -stop"
#	pspec (arg)
#	cspec (arg)
#	espec (arg)
#	rspec (arg)

#  Defaults for RARC archive reading task
	rfile = ddir // inst // ".rarc"
	if (vb)
	    print ("Reading RARC parameters from ",rfile)
	if (access (rfile))
	    cl (<rfile)
	else
	    print ("*** No RARC defaults for ",inst)

end

# Nov 26 2002	New task
