# OBJRFN -- Find archive files for object
#	    August 9, 1990
#           By Doug Mink, CfA TDC

procedure objrfn (object)

string object=""	{prompt="Object name"}

string instrument="zmach"	{prompt="Instrument"}
file rfn_file=""		{prompt="Output file name"}
bool exact=no			{prompt="Keep exact matches only (y or n)"}
bool verbose=no			{prompt="Print what's happening (y or n)"}

begin

int iobj, nobj, junk
file inspath,arcpath,objfile
string argument,obj,tchar,objlist

	arcpath = osfn ("archive$")
	inspath = arcpath // "rfn." // instrument
	obj = object
	objfile = obj
	rfsub (obj,1,1)
	tchar = rfsub.outstring
	if (tchar == '@') {
	    rlist (objfile,0)
	    nobj = rlist.nlist
#	    if (verbose)
#		print (nobj," objects = ",rflist.objlist)
 
	    for (iobj=1; iobj <= nobj; iobj=iobj+1) {
		rlist (objfile,iobj)
		if (exact)
		    argument = " -i -w " // rlist.line // " " // inspath
		else
		    argument = " -i " // rlist.line // " " // inspath
		if (rfn_file != "") {
		    if (iobj == 1)
			argument = argument // " > " // rfn_file
		    else
			argument = argument // " >> " // rfn_file
		    }
		if (verbose)
			print "grep ", (argument)
		grep (argument)
		}
	    }
	else {
	    if (exact)
		argument = " -i -w " // obj
	    else
		argument = " -i " // obj
	    argument = argument // " " // inspath
	    if (rfn_file != "") {
		argument = argument // " > " // rfn_file
		}
	    if (verbose)
		print "grep ", (argument)
	    grep (argument)
	    }

	if (verbose && rfn_file != "") {
	    cat (rfn_file)
	    }

end
