#*** File archive/Src/byteswap.x
#*** July 1, 2005
#*** By Doug Mink

# BUFSWAP-- Swap bytes in string

procedure bufswap (buffer, ubytes, nbytes)

char    buffer[ARB]	# Buffer to be swapped
int	ubytes		# Number of bytes per unit
int     nbytes		# Number of bytes total

int swap

common /bswapped/ swapped
int	swapped
data swapped/-1/

include "rarc.com"

begin
	if (swapped < 0) {
	    call byteorder (swap)
	    swapped = swap
	    }
	if (swapped > 0) {
            switch (ubytes) {
            case 2:
        	call sswap2 (buffer, nbytes)
            case 4:
        	call sswap4 (buffer, nbytes)
            case 8:
        	call sswap8 (buffer, nbytes)
            }
#	    if (debug == YES) {
#		call printf ("%3d bytes swapped by %d\n")
#		    call pargi (nbytes)
#		    call pargi (ubytes)
#		}
            }
#	else if (debug == YES) {
#	    call printf ("%3d bytes not swapped by %d\n")
#		call pargi (nbytes)
#		call pargi (ubytes)
#	    }
	return
end

# BYTEORDER-- Find byte order for this CPU

procedure byteorder (swap)

int	swap		# 1 if bytes need to be swapped from network order

char ctest[2]
short itest[4]

include "rarc.com"

begin

	ctest[1] = '1'
	ctest[2] = EOS
	call f77upk (ctest,itest, 1, 1)
	if (debug == YES) {
	    call printf ("BYTEORDER: %d %d %d %d \n")
		call pargs (itest[1])
		call pargs (itest[2])
		call pargs (itest[1])
		call pargs (itest[2])
	    }

# Bytes do not need to be swapped from network to local order
	if (itest[1] == 0) {
	    swap = 0
	    if (debug == YES) {
		call printf ("Do not swap bytes\n")
		}
	    }

# Bytes need to be swapped from network to local order
	else {
	    if (debug == YES) {
		call printf ("Swap bytes\n")
		}
	    swap = 1
	    }
	return
end
