
#  Common for comparison lines

long nlines		# total number of lines in table
long nmatch		# total number of lines matched
long nsky		# number of sky lines matched
real meancomp		# mean comparison line width in pixels
real meansky		# mean sky fit residual in angstroms
real compcenter		# center of line in pixels
real compheight		# height of line in counts
real compwidth		# width of line in pixels
real compcont		# continuum level of line in counts
real comptable		# table wavelength of line in angstroms
real comprpix		# residual from 7th order fit in pixels
real comprang		# residual from 7th order fit in angstroms
long compflag		#  rejection flag >=0: used in 7th order fit
#			   =-1:line never matched or used
#			   <-1:line rejected by 5th or 7th order fit

common /compl/ nlines,nmatch,nsky,meancomp,meansky,compcenter,compheight,
		compwidth,compcont,comptable,comprpix,comprang,compflag

#real center[200],height[200],width[200],cont[200]
#real table[200],respix[200],resang[200]
#long cflag[200]
