/*** File iolib/moveb.c
 *** July 11, 2005
 *** By Doug Mink
 */

moveb_ (source, offs, dest, offd, nbytes)

/*   Move bytes from one place to another (any data type)
 *
 *	Call MOVEB (SOURCE,DEST,NBYTES,OFFS,OFFD)
 *
 *	SOURCE	Address of variable from which to move first byte
 *
 *	OFFS	Address of offset from which to move first byte
 *
 *	DEST	Address of variable to which to move first byte
 *
 *	OFFD	Address of offset to which to move first byte
 *
 *	NBYTES	Address of number of bytes to move
 */
char *source,*dest;
int *nbytes,*offs,*offd;
{
char *from, *last, *to;
	from = source + *offs;
	to = dest + *offd;
	last = from + *nbytes;
	while (from < last) *(to++) = *(from++);
	return;
}
/* Sep  3 1985	New C program
 *
 * Jan 10 1995	Use offsets
 *
 * Jul 11 2005	Replace IRAF byte moving program for portability
 */
