# File archive/Src/imputp.x
# April 15, 1992

include	<error.h>
include	<imhdr.h>
include	<ctype.h>

# IMPUTP -- Set the value of an image header parameter as a character string.

procedure t_imputp()

pointer	sp, im
pointer	image, param, value
pointer	immap()
bool	verbose,clgetb()
int	imaccf()

begin
	call smark (sp)
	call salloc (image, SZ_FNAME, TY_CHAR)
	call salloc (param, SZ_FNAME, TY_CHAR)
	call salloc (value, SZ_LINE,  TY_CHAR)

	call clgstr ("image", Memc[image], SZ_FNAME)
	call clgstr ("param", Memc[param], SZ_FNAME)
	call clgstr ("value", Memc[value], SZ_LINE)
	verbose = clgetb ("verbose")

	im = immap (Memc[image], READ_WRITE, 0)

	if (imaccf (im, Memc[param]) == NO)
	    call imaddf (im, Memc[param], "c")
	iferr (call impstr (im, Memc[param], Memc[value])) {
	    if (verbose) call erract (EA_WARN)
	    }

	call imunmap (im)
	call sfree (sp)
end
