#*** File saotdc/archive/Src/namefilt.x
#*** February 19, 1992
#*** By Doug Mink, Center for Astrophysics

# NAMEFILE -- Remove illegal characters from names

include <error.h>
include <fset.h>

procedure t_namefilt()

char	name[SZ_LINE]	# name to be filtered
char	badchars[SZ_LINE]	# list of characters not used in filenames

int	stridxs(), strsearch()
int	ibad

begin

	call clgstr ("oldname", name, SZ_FNAME)

	ibad = strsearch (name, " - ")
	if (ibad > 0)
	    name[ibad-3] = EOS

	call strcpy ("!#$%&`'()*,:;<>=[]^~{}|", badchars, SZ_LINE)
	ibad = stridxs (badchars, name)
	while (ibad > 0) {
	    name[ibad] = '_'
	    ibad = stridxs (badchars, name)
	    }
	
	call clpstr ("newname", name, SZ_FNAME)

end
