
# SPRNT --- print image using imhalf
# By Doug Mink, Center for Astrophysics
# November 29, 1988

procedure sprnt (image)

char image=""		{prompt="image to be plotted"}
char imtype="imh"	{prompt="image file type (imh,fits,dfits)?"}
char prtype="impress"	{prompt="printer type (postscript or impress)"}
int planes=0		{prompt="number of image display planes to reserve"}
int nbits=16		{prompt="number of bits per pixel (8,16,32)"}
bool inverse=no		{prompt="white on black rather than black on white"}
bool sqrt=no		{prompt="default to square-root mapping rather than linear"}
real floor=0		{prompt="minimum value to be plotted (0 for min)"}
real ceiling=0		{prompt="maximum value to be plotted (0 for max)"}
real scale=0		{prompt="scale factor for floating point images (0=1)"}
int hbytes=0		{prompt="number of bytes to skip before image"}
int nrows=0		{prompt="number of row (0 if from header)"}
int ncols=0		{prompt="number of columns (0 if from header)"}
int zf=1		{prompt="zoom factor"}
char geometry=""	{prompt="window geometry"}
char title=""		{prompt="optional title"}
bool background=no	{prompt="run imhalf in background"}
bool fullpath=no	{prompt="display image pathname instead of filename"}
bool debug=no		{prompt="display parmeter values as set (y or n)"}

begin

  char arg, parfile, imt
  real min,max

  arg = image
  imt = imtype
  min = floor
  max = ceiling

  parfile = osfn ('uparm$itssprnt.par')
  arg = arg//" -par "//parfile

# Run in background if requested
  if (background) {
      arg = arg // " &"
      }

# Display command to be executed
  print ("tprnt ",arg)

# Execute IMHALF
  tprnt (arg)

end
