# COSREP -- Patch cosmic rays in image using fixpix

procedure cosrep (image)

file	image			{prompt="Image to process"}
bool	verbose=no		{prompt="Log progress (y or n)"}

begin
	file img, reg

#  Load appropriate package

	if (defpac ("noao") == NO)
	    noao
	if (defpac ("proto") == NO)
	    proto

	fixpix.verbose = verbose
	img = image
	reg = img // ".rlist"

	if (access (reg) == YES)
	    fixpix (img, reg)
	else
	    print ("COSREP:  Region file not found: ",reg)

end
