# File saotdc/pkg/untools/pclear.cl
# By Doug Mink, Center for Astrophysics
# June 8, 1992

# PCLEAR -- Clear named pipes for imtool image display in home directory.

procedure pclear ()

file pipename="home$imt1"       {prompt="name of imtool pipe"}
bool verbose=yes		{prompt="print record of procedure"}

begin
    bool vb
    char arg
    file pin,pout,pn

    pn = osfn (pipename)
    vb = verbose
    pin = pn // "i"
    pout = pn // "o"

    if (vb)
	print "-- removing named pipes for image display"
    delete (pn)
    delete (pin)
    delete (pout)

    if (vb)
	print "-- recreating named pipes for image display"
    arg = pin // " p"
    mknod (arg)
    arg = pout // " p"
    mknod (arg)
    arg = pout // " " // pn
    lns (arg)

end
