# XIMTOOL23 --- Set up NOAO ximtool for local named pipes for Solaris 2.4
# By Doug Mink, Center for Astrophysics
# March 9, 1995

procedure ximtool (display)

char display=""		{prompt="X display"}

char geometry=""		{prompt="window geometry"}
char pipename="home$imt1"	{prompt="name of imtool pipe"}
bool background=yes		{prompt="run in background"}

begin
    char arg,pn,quote

    quote = """"

    # Input from IRAF
    pn = osfn (pipename)
    arg = " -xrm " //quote//"*input_fifo:" // pn //"i"//quote
    # print ("ximtool",arg)
    arg = arg //" -xrm " //quote//"*output_fifo:" // pn //"o"//quote
    # print ("ximtool",arg)

    # Display for X
    arg = arg // " -d " //display

    # Geometry for X (X*Y+XDIM+YDIM)
    if (geometry !="")
	arg = arg // " -g " //geometry

    # Run in background if requested
    if (background)
      arg = arg // " &"

    # Execute XIMTOOL
    print ("ximtool",arg)
    ximtool24e (arg)
end
