
#{ Scripts and programs for SAO data processing

package	procdata

set	procscripts = "procdata$Scripts/"
task	biascheck = procscripts$biascheck.cl
task	darkcheck = procscripts$darkcheck.cl
task	dofast	= procscripts$dofast.cl
task	findspec = procdata$x_procdata.e
task	findall = procscripts$findall.cl
task	flwo	= procscripts$flwo.cl
task	fspec	= procscripts$fspec.cl
task	hfast	= procscripts$hfast.cl
task	imairmass = procdata$x_procdata.e
task	imgetp	= procdata$x_procdata.e
task	ircorrect = procdata$x_procdata.e
task	irnorm	= procscripts$irnorm.cl
task	kpno	= procscripts$kpno.cl
task	lfast	= procscripts$lfast.cl
task	listwav = procdata$x_procdata.e
task	lsrate	= procdata$lsrate.cl
#task	mkdark	= procscripts$mkdark.cl
task	obsname = procdata$x_procdata.e
task	oldfast	= procscripts$oldfast.cl
task	oro	= procscripts$oro.cl
task	qfast	= procscripts$qfast.cl
task	nqfast	= procscripts$nqfast.cl
task	round	= procdata$x_procdata.e
task	subdark	= procscripts$subdark.cl
task	$biasplot = "$"//osfn('tdcbin$aplot.e')//" -def "//osfn('procdata$')//" -par biasplot.par"
task	$arctab = "$"//osfn('tdcbin$arctab.e')//" -def "//osfn('procdata$')//" -par arctab.par"
task	$pstek	= "$"//osfn('tdcbin$pstek.e')

hide	biasplot, pstek, round
clbye()
